Subject: RE: [Sip] From Header

From: [email-masked]
Date: Tue, 24 Feb 2004 10:33:25 +0530

Hi Anil,

If I understand you correctly then I think you want to know the sender's
IP and port number. This information can be obtaine from the SDP. Via
header gives information of Proxy not of sender's.

Ranjit

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Anil
Bollineni
Sent: Tuesday, February 24, 2004 12:43 AM
To: 'xiao'tong liang'
Cc: [email-masked]'; [email-masked]'
Subject: RE: [Sip] From Header

The Via header tells that IP address/port where the response should be
sent. It does not specify from where the request has been come, as the
ports for sending request and receiving responses can be different. I
think the only way we can tell is by seeing the sending ip and port in
IP header of the packet. Please correct if I am wrong.

Thanks,
Anil

This email contains material that is confidential. The content of this
email is for the sole use of the intended recipient(s). Any review or
distribution by persons other than the intended recipient(s) without the
express permission of NetScreen Technologies, Inc. is strictly
prohibited. If you are not the intended recipient, please contact the
sender and delete/destroy all copies of this email and any related
attachments. NetScreen does not guarantee the accuracy or completeness
of third party materials or information.

-----Original Message-----
From: xiao'tong liang [mailto:[email-masked]] 
Sent: Sunday, February 22, 2004 6:07 PM
To: Anil Bollineni
Subject: Re: [Sip] From Header

Via header.

--
xiaotong

--- Anil Bollineni <[email-masked]> wrote:
> Hi All,
> 
>  
> 
>       I understand from the following statement in
> RFC, that From header
> SHOULD not contain IP addresses/ports from whom the
> request has come. If it
> is so, I can't assume that the information is not
> used to assume from where
> (IP address/port) the request has come. Appreciate
> your response to clarify
> the point.
> 
>  
> 
>   As such, it is very important that the From URI
> not contain IP addresses
> or the FQDN
> 
>    of the host on which the UA is running, since
> these are not logical
> 
>    names.
> 
>  
> 
> Thank you,
> 
> Anil
> 
>  
> 
> This email contains material that is confidential.
> The content of this email
> is for the sole use of the intended recipient(s).
> Any review or distribution
> by persons other than the intended recipient(s)
> without the express
> permission of NetScreen Technologies, Inc. is
> strictly prohibited. If you
> are not the intended recipient, please contact the
> sender and delete/destroy
> all copies of this email and any related
> attachments. NetScreen does not
> guarantee the accuracy or completeness of third
> party materials or
> information.
> 
>  
> 
> 

__________________________________
Do you Yahoo!?
Yahoo! Mail SpamGuard - Read only the mail you want.
http://antispam.yahoo.com/tools

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip Use
[email-masked] for new developments on the application of sip

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip